Bug 1027446 - Crash on bad trapezoids
Crash on bad trapezoids
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pixman (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Søren Sandmann Pedersen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 16:03 EST by Søren Sandmann Pedersen
Modified: 2014-06-18 05:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 16:12:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (1.90 KB, text/x-csrc)
2013-11-06 16:06 EST, Søren Sandmann Pedersen
no flags Details

  None (edit)
Description Søren Sandmann Pedersen 2013-11-06 16:03:40 EST
Pixman (and therefore X) crashes on certain bad trapezoids; we may consider fixing this for RHEL 7.0. I'll attach a reproducer.
Comment 1 Søren Sandmann Pedersen 2013-11-06 16:06:05 EST
Created attachment 820725 [details]
Reproducer

This program crashes at least Xephyr, and I would expect the regular X server as well.

Note You need to log in before you can comment on or make changes to this bug.